Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom.filter
Class NegateFilter

    java.lang.Object
      org.jdom.filter.AbstractFilter
          org.jdom.filter.NegateFilter

All Implemented Interfaces:
  java.io.Serializable, Filter

    final class NegateFilter

extends AbstractFilter

Filter that is the logical negation operation of another filter.

Field Summary
`private static java.lang.String` | `CVS_ID`
`private Filter` | `filter`

Constructor Summary
`NegateFilter(Filter filter)` Match if the supplied filter does not match.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`boolean` | `matches(java.lang.Object obj)` Check to see if the object matches a predefined set of rules.
`Filter` | `negate()`
`java.lang.String` | `toString()`

Methods inherited from class org.jdom.filter.AbstractFilter
`and, or`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CVS_ID

    private static final java.lang.String CVS_ID

See Also:
  Constant Field Values

### filter

    private Filter filter

Constructor Detail

### NegateFilter

    public NegateFilter(Filter filter)

  Match if the supplied filter does not match.

  Parameters:
    `filter` - filter to use.

Method Detail

### matches

    public boolean matches(java.lang.Object obj)

  Description copied from interface: `Filter`
  Check to see if the object matches a predefined set of rules.

  Parameters:
    `obj` - The object to verify.
  Returns:
    `true` if the object matches a predfined set of rules.

### negate

    public Filter negate()

  Overrides:
    `negate` in class `AbstractFilter`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD